[arch-commits] Commit in swig/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed May 1 21:46:16 UTC 2019


    Date: Wednesday, May 1, 2019 @ 21:46:14
  Author: felixonmars
Revision: 352367

archrelease: copy trunk to testing-x86_64

Added:
  swig/repos/testing-x86_64/
  swig/repos/testing-x86_64/PKGBUILD
    (from rev 352366, swig/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: swig/repos/testing-x86_64/PKGBUILD (from rev 352366, swig/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2019-05-01 21:46:14 UTC (rev 352367)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=swig
+pkgver=4.0.0
+pkgrel=1
+pkgdesc="Generate scripting interfaces to C/C++ code"
+arch=('x86_64')
+url="http://www.swig.org/"
+license=('custom')
+depends=('pcre' 'gcc-libs')
+checkdepends=('ruby' 'python2' 'java-environment' 'tcl' 'php' 'lua' 'ocaml' 'r' 'go' 'python2-cffi' 'camlp4')
+source=(https://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+sha1sums=('2854fbcfea877111edf328adb96324ca37947097')
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check || warning "Tests failed"
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m644 LICENSE-UNIVERSITIES "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE-UNIVERSITIES
+}


More information about the arch-commits mailing list